Module
Inhoud
Index 🔎︎

# End-instructie

Beëindigt een procedure of blok.

## Syntaxis:

    End, End Function, End If, End Select, End Sub

## Parameters:

Gebruik de End-instructie als volgt:

## Instructie

End: Is niet nodig, maar kan overal binnen een procedure ingevoerd worden om de uitvoering van het programma te beëindigen.

End Function: Beëindigt een Function-instructie.

End If: Geeft het einde van een If...Then...Else blok aan.

End Select: Markeert het einde van een Select Case blok.

End Sub: Beëindigt een Sub-instructie.

## Voorbeeld:

    Sub ExampleRandomSelect

    Dim iVar As Integer

        iVar = Int((15 * Rnd) -2)

        Select Case iVar

            Case 1 To 5

                Print "Getal van 1 tot 5"

            Case 6, 7, 8

                Print "Getal van 6 tot 8"

            Case Is > 8 And iVar < 11

                Print "Groter dan 8"

            Case Else

                Print "Buiten bereik van 1 tot 10"

        End Select

    End Sub